> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cozmox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List agents

> Get a paginated list of agents for the organization



## OpenAPI

````yaml /openapi.yaml get /org/{org_id}/agents
openapi: 3.0.0
info:
  contact: {}
  title: Cozmo - API
  version: devel
servers:
  - url: https://v2-nova-api.prod.czmx.in/api
security:
  - BearerAuth: []
paths:
  /org/{org_id}/agents:
    get:
      tags:
        - Agents
      summary: List agents
      description: Get a paginated list of agents for the organization
      operationId: listAgents
      parameters:
        - description: Organization ID
          in: path
          name: org_id
          required: true
          schema:
            type: string
        - description: Page number
          in: query
          name: page
          schema:
            type: integer
            default: 1
        - description: Page size
          in: query
          name: size
          schema:
            type: integer
            default: 20
        - description: Filter by agent type (voice or chat)
          in: query
          name: type
          schema:
            type: string
        - description: Search by agent name
          in: query
          name: search
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/agents.PaginatedResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
components:
  schemas:
    agents.PaginatedResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/agents.AgentListItemResponse'
          type: array
        meta:
          $ref: '#/components/schemas/agents.PaginationMeta'
      type: object
    helper.ResponseError:
      properties:
        data: {}
        error: {}
        message:
          type: string
        status:
          type: boolean
      type: object
    agents.AgentListItemResponse:
      properties:
        created_at:
          type: string
        id:
          type: string
        name:
          type: string
        type:
          type: string
        updated_at:
          type: string
      type: object
    agents.PaginationMeta:
      properties:
        page:
          type: integer
        size:
          type: integer
        total:
          type: integer
        total_pages:
          type: integer
      type: object
  securitySchemes:
    BearerAuth:
      type: apiKey
      in: header
      name: X-API-Key

````